> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapier.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get App Details



## OpenAPI

````yaml get /api/v2/apps/{app}/
openapi: 3.1.0
info:
  title: Zapier AI Actions API V2
  version: 1.0.0
  description: ''
servers:
  - url: https://actions.zapier.com
security: []
paths:
  /api/v2/apps/{app}/:
    get:
      tags:
        - apps
      summary: Get App Details
      operationId: api_actions_get_app_details
      parameters:
        - in: path
          name: app
          schema:
            description: The app to get details for.
            title: App
            type: string
          required: true
          description: The app to get details for.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResults_AppDetailsSchema_'
      security:
        - AccessPointApiKeyHeader: []
        - AccessPointOAuth: []
components:
  schemas:
    GenericResults_AppDetailsSchema_:
      additionalProperties: true
      properties:
        results:
          items:
            $ref: '#/components/schemas/AppDetailsSchema'
          title: Results
          type: array
      required:
        - results
      title: GenericResults[AppDetailsSchema]
      type: object
    AppDetailsSchema:
      properties:
        app_needs_auth:
          description: Whether or not this app requires auth when using actions with it.
          title: App Needs Auth
          type: boolean
        implementation:
          $ref: '#/components/schemas/ImplementationT'
        details:
          anyOf:
            - $ref: '#/components/schemas/AppDetailT'
            - type: 'null'
      required:
        - app_needs_auth
        - implementation
        - details
      title: AppDetailsSchema
      type: object
    ImplementationT:
      properties:
        selected_api:
          title: Selected Api
          type: string
        app_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: App Id
        name:
          title: Name
          type: string
        slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Slug
        actions:
          items:
            $ref: '#/components/schemas/ActionT'
          title: Actions
          type: array
        auth_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Auth Type
        auth_fields:
          items:
            $ref: '#/components/schemas/AuthFieldT'
          title: Auth Fields
          type: array
        is_deprecated:
          default: false
          title: Is Deprecated
          type: boolean
        is_private_only:
          default: false
          title: Is Private Only
          type: boolean
        is_invite_only:
          default: false
          title: Is Invite Only
          type: boolean
        is_beta:
          default: false
          title: Is Beta
          type: boolean
        is_premium:
          default: false
          title: Is Premium
          type: boolean
        is_hidden:
          default: false
          title: Is Hidden
          type: boolean
      required:
        - selected_api
        - app_id
        - name
        - slug
      title: ImplementationT
      type: object
    AppDetailT:
      properties:
        current_implementation_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Implementation Id
        name:
          title: Name
          type: string
        slug:
          title: Slug
          type: string
        description:
          title: Description
          type: string
        categories:
          items:
            $ref: '#/components/schemas/CategoryDetailT'
          title: Categories
          type: array
        age_in_days:
          title: Age In Days
          type: integer
        app_profile_url:
          title: App Profile Url
          type: string
        banner:
          title: Banner
          type: string
        canonical_id:
          title: Canonical Id
          type: string
        days_since_last_update:
          title: Days Since Last Update
          type: integer
        external_url:
          anyOf:
            - type: string
            - type: 'null'
          title: External Url
        hashtag:
          title: Hashtag
          type: string
        id:
          title: Id
          type: integer
        image:
          title: Image
          type: string
        images:
          $ref: '#/components/schemas/ImagesT'
        internal_id:
          title: Internal Id
          type: integer
        is_beta:
          title: Is Beta
          type: boolean
        is_built_in:
          title: Is Built In
          type: boolean
        is_featured:
          title: Is Featured
          type: boolean
        is_premium:
          title: Is Premium
          type: boolean
        is_public:
          title: Is Public
          type: boolean
        is_upcoming:
          title: Is Upcoming
          type: boolean
        learn_more_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Learn More Url
        popularity:
          title: Popularity
          type: integer
        request_count:
          title: Request Count
          type: integer
        zap_usage_count:
          title: Zap Usage Count
          type: integer
        invite_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Invite Url
        primary_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Primary Color
      required:
        - name
        - slug
        - description
        - age_in_days
        - app_profile_url
        - banner
        - canonical_id
        - days_since_last_update
        - hashtag
        - id
        - image
        - images
        - internal_id
        - is_beta
        - is_built_in
        - is_featured
        - is_premium
        - is_public
        - is_upcoming
        - popularity
        - request_count
        - zap_usage_count
      title: AppDetailT
      type: object
    ActionT:
      properties:
        type:
          title: Type
          type: string
        key:
          title: Key
          type: string
        name:
          title: Name
          type: string
        noun:
          title: Noun
          type: string
        description:
          title: Description
          type: string
        is_important:
          title: Is Important
          type: boolean
        is_hidden:
          title: Is Hidden
          type: boolean
        needs:
          items:
            $ref: '#/components/schemas/NeedT'
          title: Needs
          type: array
        meta:
          anyOf:
            - $ref: '#/components/schemas/ActionMetaT'
            - type: 'null'
        popularity:
          anyOf:
            - type: integer
            - type: 'null'
          title: Popularity
        app_name:
          anyOf:
            - type: string
            - type: 'null'
          title: App Name
      required:
        - type
        - key
        - name
        - noun
        - description
        - is_important
        - is_hidden
      title: ActionT
      type: object
    AuthFieldT:
      properties:
        computed:
          title: Computed
          type: boolean
        key:
          title: Key
          type: string
        required:
          title: Required
          type: boolean
        type:
          enum:
            - int
            - integer
            - float
            - decimal
            - unicode
            - text
            - str
            - string
            - datetime
            - boolean
            - bool
            - file
            - copy
            - password
            - dict
            - code
            - filter
            - confirmation
          title: Type
          type: string
        label:
          title: Label
          type: string
        help_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Help Text
      title: AuthFieldT
      type: object
    CategoryDetailT:
      properties:
        title:
          title: Title
          type: string
        description:
          title: Description
          type: string
      required:
        - title
        - description
      title: CategoryDetailT
      type: object
    ImagesT:
      properties:
        url_16_x16:
          anyOf:
            - type: string
            - type: 'null'
          title: Url 16 X16
        url_32_x32:
          anyOf:
            - type: string
            - type: 'null'
          title: Url 32 X32
        url_64_x64:
          anyOf:
            - type: string
            - type: 'null'
          title: Url 64 X64
        url_128_x128:
          anyOf:
            - type: string
            - type: 'null'
          title: Url 128 X128
      title: ImagesT
      type: object
    NeedT:
      properties:
        key:
          title: Key
          type: string
        type:
          enum:
            - int
            - integer
            - float
            - decimal
            - unicode
            - text
            - str
            - string
            - datetime
            - boolean
            - bool
            - file
            - copy
            - password
            - dict
            - code
            - filter
            - confirmation
          title: Type
          type: string
        label:
          title: Label
          type: string
        required:
          title: Required
          type: boolean
        prefill:
          anyOf:
            - type: string
            - type: 'null'
          title: Prefill
        searchfill:
          anyOf:
            - type: string
            - type: 'null'
          title: Searchfill
        capabilities:
          items:
            type: string
          title: Capabilities
          type: array
        custom_field:
          title: Custom Field
          type: boolean
        depends_on:
          items:
            type: string
          title: Depends On
          type: array
        from_search:
          title: From Search
          type: boolean
        from_write:
          title: From Write
          type: boolean
        input_format:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Input Format
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
        parent_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Key
        send_in_json:
          title: Send In Json
          type: boolean
        regex:
          anyOf:
            - type: string
            - type: 'null'
          title: Regex
        alters_custom_fields:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Alters Custom Fields
        choices:
          anyOf:
            - items:
                $ref: '#/components/schemas/ChoiceT'
              type: array
            - type: string
            - items:
                type: string
              type: array
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Choices
        default:
          anyOf:
            - type: string
            - type: integer
            - type: 'null'
          title: Default
        help_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Help Text
        placeholder:
          anyOf:
            - type: string
            - type: 'null'
          title: Placeholder
        default_guessable:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Default Guessable
        list:
          title: List
          type: boolean
        format:
          anyOf:
            - type: string
            - type: 'null'
          title: Format
      title: NeedT
      type: object
    ActionMetaT:
      properties:
        hook:
          anyOf:
            - $ref: '#/components/schemas/ActionMetaHookT'
            - type: 'null'
      title: ActionMetaT
      type: object
    ChoiceT:
      properties:
        key:
          title: Key
          type: string
        label:
          title: Label
          type: string
        sample:
          title: Sample
          type: string
      title: ChoiceT
      type: object
    ActionMetaHookT:
      description: |-
        If this exists, then it means that this action is a webhook.

        Using the provided URL, you can send a POST request to it.
      properties:
        directions:
          anyOf:
            - type: string
            - type: 'null'
          title: Directions
        is_notification:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Notification
        is_pollable:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Pollable
        is_polling_notification:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Polling Notification
        is_subscription:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Subscription
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
      title: ActionMetaHookT
      type: object
  securitySchemes:
    AccessPointApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
    AccessPointOAuth:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: /oauth/authorize/
          tokenUrl: /oauth/token/
          scopes:
            nla:exposed_actions:execute: Run AI Actions
            openid: OpenID Connect scope

````